> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Session Debug Info



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /sessions/{session_id}/debug
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /sessions/{session_id}/debug:
    get:
      tags:
        - sessions
        - debug
      summary: Session Debug Info
      operationId: session_debug_info
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: update_metadata
          in: query
          required: false
          schema:
            type: boolean
            default: true
            title: Update Metadata
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionDebugResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    SessionDebugResponse:
      properties:
        debug_url:
          type: string
          title: Debug Url
        ws:
          $ref: '#/components/schemas/WebSocketUrls'
        tabs:
          items:
            $ref: '#/components/schemas/TabSessionDebugResponse'
          type: array
          title: Tabs
      type: object
      required:
        - debug_url
        - ws
        - tabs
      title: SessionDebugResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebSocketUrls:
      properties:
        cdp:
          type: string
          title: Cdp
          description: WebSocket URL to connect using CDP protocol
        recording:
          type: string
          title: Recording
          description: WebSocket URL for live session recording (screenshot stream)
        logs:
          type: string
          title: Logs
          description: WebSocket URL for live logs (obsveration / actions events)
      additionalProperties: false
      type: object
      required:
        - cdp
        - recording
        - logs
      title: WebSocketUrls
    TabSessionDebugResponse:
      properties:
        metadata:
          $ref: '#/components/schemas/TabsData'
        debug_url:
          type: string
          title: Debug Url
        ws_url:
          type: string
          title: Ws Url
      type: object
      required:
        - metadata
        - debug_url
        - ws_url
      title: TabSessionDebugResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TabsData:
      properties:
        tab_id:
          type: integer
          title: Tab Id
        title:
          type: string
          title: Title
        url:
          type: string
          title: Url
      type: object
      required:
        - tab_id
        - title
        - url
      title: TabsData
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````